Package com.collibra.dgc.core.api.dto.instance.attribute

# Class FindAttributesRequest.Builder

Object
Builder

Enclosing class:
  `FindAttributesRequest`

public static final class FindAttributesRequest.Builder extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `limit`
  Deprecated.
  This field will become private in the next major release.
  `protected int`
  `offset`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Use cursor paginations

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FindAttributesRequest.Builder`
  `assetId(UUID assetId)`
  `FindAttributesRequest`
  `build()`
  `FindAttributesRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `FindAttributesRequest.Builder`
  `countLimit(int countLimit)`
  `FindAttributesRequest.Builder`
  `cursor(String cursor)`
  `FindAttributesRequest.Builder`
  `limit(int limit)`
  `FindAttributesRequest.Builder`
  `offset(int offset)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Use cursor pagination.
  `FindAttributesRequest.Builder`
  `sortField(FindAttributesRequest.SortField sortField)`
  `FindAttributesRequest.Builder`
  `sortOrder(SortOrder sortOrder)`
  `String`
  `toString()`
  `FindAttributesRequest.Builder`
  `typeIds(List<UUID> typeIds)`
  `FindAttributesRequest.Builder`
  `typePublicIds(List<String> typePublicIds)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### offset

    @Deprecated(forRemoval=true) protected int offset
    Deprecated, for removal: This API element is subject to removal in a future version.
    Use cursor paginations

  - ### limit

    @Deprecated protected int limit
    Deprecated.
    This field will become private in the next major release.

- ## Method Details

  - ### offset

    @Deprecated(forRemoval=true) public FindAttributesRequest.Builder offset(int offset)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Use cursor pagination.

  - ### limit

    public FindAttributesRequest.Builder limit(int limit)

  - ### typePublicIds

    public FindAttributesRequest.Builder typePublicIds(List<String> typePublicIds)

  - ### but

    @Deprecated public FindAttributesRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `FindAttributesRequest.builder()`
    Clone method for this Builder.

  - ### cursor

    public FindAttributesRequest.Builder cursor(String cursor)
    Parameters:
      `cursor` - Cursor for the current page of results. To retrieve the first page with cursor pagination you need to pass this parameter with an empty value (must be non-null). For the next pages, the value must be taken from the response (`nextCursor` property).
    Returns:
      `this`.

  - ### typeIds

    public FindAttributesRequest.Builder typeIds(List<UUID> typeIds)
    Parameters:
      `typeIds` - The list of IDs of the attribute types the found attributes should have, or null or empty if no type filtering should be applied.
    Returns:
      `this`.

  - ### assetId

    public FindAttributesRequest.Builder assetId(UUID assetId)
    Parameters:
      `assetId` - The ID of the asset to find the attributes in, or null if no asset filtering should be applied.
    Returns:
      `this`.

  - ### sortOrder

    public FindAttributesRequest.Builder sortOrder(SortOrder sortOrder)
    Parameters:
      `sortOrder` - The order of sorting. When omitted, the sortOrder defaults to `DESC` (descending).
    Returns:
      `this`.

  - ### sortField

    public FindAttributesRequest.Builder sortField(FindAttributesRequest.SortField sortField)
    Parameters:
      `sortField` - The field on which the results are sorted. When omitted, the sortField defaults to `LAST_MODIFIED`.
    Returns:
      `this`.

  - ### countLimit

    public FindAttributesRequest.Builder countLimit(int countLimit)
    Parameters:
      `countLimit` - Allows to limit the number of elements that will be counted. Use this only in combination with the (discouraged) `offset` parameter. -1 will count everything and 0 will cause the count to be skipped. When omitted, the countLimit defaults to `-1`.
    Returns:
      `this`.

  - ### build

    public FindAttributesRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`